Gnuhost Core Vue3 Library

## Recommended IDE Setup

[VSCode](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar) (and disable Vetur) + [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin).

## Plugins

[yalc](https://github.com/wclr/yalc)   
acts as very simple local repository for your locally developed packages that you want to share across your local environment.
see documentation for how to use it.

## Contents
```markdown
.
├── index/
│   └── Constants
├── extensions/
│   ├── pagination-extensions
│   └── primevue-data-table-extensions
├── locales/
│   └── i18n-validators
├── models/
│   └── global-types
├── services/
│   └── cache-service
├── utils/
│   ├── array-utils
│   ├── clipboard-utils
│   ├── date-utils
│   ├── exception-utils
│   ├── file-utils
│   ├── misc-utils
│   ├── number-utils
│   ├── text-utils
│   └── vue-router-utils
├── styles/
│   ├── bootstrap.scss
│   ├── primevue.scss
│   └── scrollbars.scss
└── vue-components/
    ├── CountryMultiSelector
    ├── CountrySelector
    ├── LoadingPleaseWaitComponent
    ├── PhoneInput
    ├── SaveButton
    └── ThemeChanger
```
    