import { SelectOption } from "./models/global-types";
export default class Constants {
    constructor();
    static readonly PAGINATION: {
        ROWS_PER_PAGE: {
            OPTIONS: number[];
            DEFAULT: number;
        };
    };
    static readonly ISO_DATE_FORMAT_STRING = "yyyy-MM-DD";
    static readonly ISO_TIME_FORMAT_STRING = "HH:mm";
    static readonly ISO_DATE_TIME_FORMAT_STRING: string;
    static readonly FILTER_TIMEOUT_MS = 700;
    static readonly ERROR_TOAST_LIFE = 0;
    static readonly MAX_FILE_UPLOAD_BYTES = 20000000;
    static readonly BASE_CURRENCY = "EUR";
    static readonly RAM_UNIT = "GB";
    static readonly FREQUENCY_UNIT = "GHz";
    static readonly SELECT_OPTION_EMPTY: SelectOption;
}
