import { unref as u } from "vue";
function M(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    r && (n = n.filter(function(a) {
      return Object.getOwnPropertyDescriptor(e, a).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function p(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = arguments[r] != null ? arguments[r] : {};
    r % 2 ? M(Object(t), !0).forEach(function(n) {
      I(e, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : M(Object(t)).forEach(function(n) {
      Object.defineProperty(e, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return e;
}
function I(e, r, t) {
  return r in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[r] = t, e;
}
function y(e) {
  return typeof e == "function";
}
function O(e) {
  return e !== null && typeof e == "object" && !Array.isArray(e);
}
function j(e) {
  return y(e.$validator) ? p({}, e) : {
    $validator: e
  };
}
function U(e) {
  return O(e) && y(e.then);
}
function m(e) {
  return typeof e == "object" ? e.$valid : e;
}
function g(e) {
  return e.$validator || e;
}
function z(e, r) {
  if (!O(e))
    throw new Error(`[@vuelidate/validators]: First parameter to "withParams" should be an object, provided ${typeof e}`);
  if (!O(r) && !y(r))
    throw new Error("[@vuelidate/validators]: Validator must be a function or object with $validator parameter");
  const t = j(r);
  return t.$params = p(p({}, t.$params || {}), e), t;
}
function w(e, r) {
  if (!y(e) && typeof u(e) != "string")
    throw new Error(`[@vuelidate/validators]: First parameter to "withMessage" should be string or a function returning a string, provided ${typeof e}`);
  if (!O(r) && !y(r))
    throw new Error("[@vuelidate/validators]: Validator must be a function or object with $validator parameter");
  const t = j(r);
  return t.$message = e, t;
}
function C(e) {
  let r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : [];
  const t = j(e);
  return p(p({}, t), {}, {
    $async: !0,
    $watchTargets: r
  });
}
function Z(e) {
  return {
    $validator(r) {
      for (var t = arguments.length, n = new Array(t > 1 ? t - 1 : 0), a = 1; a < t; a++)
        n[a - 1] = arguments[a];
      return u(r).reduce((s, i, d) => {
        const h = Object.entries(i).reduce(($, c) => {
          let [v, P] = c;
          const L = e[v] || {}, T = Object.entries(L).reduce((f, R) => {
            let [S, V] = R;
            const b = g(V).call(this, P, i, d, ...n), x = m(b);
            if (f.$data[S] = b, f.$data.$invalid = !x || !!f.$data.$invalid, f.$data.$error = f.$data.$invalid, !x) {
              let A = V.$message || "";
              const E = V.$params || {};
              typeof A == "function" && (A = A({
                $pending: !1,
                $invalid: !x,
                $params: E,
                $model: P,
                $response: b
              })), f.$errors.push({
                $property: v,
                $message: A,
                $params: E,
                $response: b,
                $model: P,
                $pending: !1,
                $validator: S
              });
            }
            return {
              $valid: f.$valid && x,
              $data: f.$data,
              $errors: f.$errors
            };
          }, {
            $valid: !0,
            $data: {},
            $errors: []
          });
          return $.$data[v] = T.$data, $.$errors[v] = T.$errors, {
            $valid: $.$valid && T.$valid,
            $data: $.$data,
            $errors: $.$errors
          };
        }, {
          $valid: !0,
          $data: {},
          $errors: {}
        });
        return {
          $valid: s.$valid && h.$valid,
          $data: s.$data.concat(h.$data),
          $errors: s.$errors.concat(h.$errors)
        };
      }, {
        $valid: !0,
        $data: [],
        $errors: []
      });
    },
    $message: (r) => {
      let {
        $response: t
      } = r;
      return t ? t.$errors.map((n) => Object.values(n).map((a) => a.map((s) => s.$message)).reduce((a, s) => a.concat(s), [])) : [];
    }
  };
}
const o = (e) => {
  if (e = u(e), Array.isArray(e))
    return !!e.length;
  if (e == null)
    return !1;
  if (e === !1)
    return !0;
  if (e instanceof Date)
    return !isNaN(e.getTime());
  if (typeof e == "object") {
    for (let r in e)
      return !0;
    return !1;
  }
  return !!String(e).length;
}, q = (e) => (e = u(e), Array.isArray(e) ? e.length : typeof e == "object" ? Object.keys(e).length : String(e).length);
function l() {
  for (var e = arguments.length, r = new Array(e), t = 0; t < e; t++)
    r[t] = arguments[t];
  return (n) => (n = u(n), !o(n) || r.every((a) => (a.lastIndex = 0, a.test(n))));
}
var F = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  forEach: Z,
  len: q,
  normalizeValidatorObject: j,
  regex: l,
  req: o,
  unwrap: u,
  unwrapNormalizedValidator: g,
  unwrapValidatorResponse: m,
  withAsync: C,
  withMessage: w,
  withParams: z
}), K = l(/^[a-zA-Z]*$/), B = {
  $validator: K,
  $message: "The value is not alphabetical",
  $params: {
    type: "alpha"
  }
}, G = l(/^[a-zA-Z0-9]*$/), H = {
  $validator: G,
  $message: "The value must be alpha-numeric",
  $params: {
    type: "alphaNum"
  }
}, J = l(/^\d*(\.\d+)?$/), Q = {
  $validator: J,
  $message: "Value must be numeric",
  $params: {
    type: "numeric"
  }
};
function W(e, r) {
  return (t) => !o(t) || (!/\s/.test(t) || t instanceof Date) && +u(e) <= +t && +u(r) >= +t;
}
function X(e, r) {
  return {
    $validator: W(e, r),
    $message: (t) => {
      let {
        $params: n
      } = t;
      return `The value must be between ${n.min} and ${n.max}`;
    },
    $params: {
      min: e,
      max: r,
      type: "between"
    }
  };
}
const Y = /^(?:[A-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9]{2,}(?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])$/i;
var _ = l(Y), k = {
  $validator: _,
  $message: "Value is not a valid email address",
  $params: {
    type: "email"
  }
};
function ee(e) {
  if (!o(e))
    return !0;
  if (typeof e != "string")
    return !1;
  const r = e.split(".");
  return r.length === 4 && r.every(re);
}
const re = (e) => {
  if (e.length > 3 || e.length === 0 || e[0] === "0" && e !== "0" || !e.match(/^\d+$/))
    return !1;
  const r = +e | 0;
  return r >= 0 && r <= 255;
};
var te = {
  $validator: ee,
  $message: "The value is not a valid IP address",
  $params: {
    type: "ipAddress"
  }
};
function ne() {
  let e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : ":";
  return (r) => {
    if (e = u(e), !o(r))
      return !0;
    if (typeof r != "string")
      return !1;
    const t = typeof e == "string" && e !== "" ? r.split(e) : r.length === 12 || r.length === 16 ? r.match(/.{2}/g) : null;
    return t !== null && (t.length === 6 || t.length === 8) && t.every(ae);
  };
}
const ae = (e) => e.toLowerCase().match(/^[0-9a-f]{2}$/);
function se(e) {
  return {
    $validator: ne(e),
    $message: "The value is not a valid MAC Address",
    $params: {
      type: "macAddress"
    }
  };
}
function ie(e) {
  return (r) => !o(r) || q(r) <= u(e);
}
function ue(e) {
  return {
    $validator: ie(e),
    $message: (r) => {
      let {
        $params: t
      } = r;
      return `The maximum length allowed is ${t.max}`;
    },
    $params: {
      max: e,
      type: "maxLength"
    }
  };
}
function oe(e) {
  return (r) => !o(r) || q(r) >= u(e);
}
function ce(e) {
  return {
    $validator: oe(e),
    $message: (r) => {
      let {
        $params: t
      } = r;
      return `This field should be at least ${t.min} characters long`;
    },
    $params: {
      min: e,
      type: "minLength"
    }
  };
}
function de(e) {
  return typeof e == "string" && (e = e.trim()), o(e);
}
var fe = {
  $validator: de,
  $message: "Value is required",
  $params: {
    type: "required"
  }
};
const N = (e, r) => e ? o(typeof r == "string" ? r.trim() : r) : !0;
function $e(e) {
  return function(r, t) {
    if (typeof e != "function")
      return N(u(e), r);
    const n = e.call(this, r, t);
    return N(n, r);
  };
}
function me(e) {
  return {
    $validator: $e(e),
    $message: "The value is required",
    $params: {
      type: "requiredIf",
      prop: e
    }
  };
}
const D = (e, r) => e ? !0 : o(typeof r == "string" ? r.trim() : r);
function le(e) {
  return function(r, t) {
    if (typeof e != "function")
      return D(u(e), r);
    const n = e.call(this, r, t);
    return D(n, r);
  };
}
function ge(e) {
  return {
    $validator: le(e),
    $message: "The value is required",
    $params: {
      type: "requiredUnless",
      prop: e
    }
  };
}
function pe(e) {
  return (r) => u(r) === u(e);
}
function he(e) {
  let r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "other";
  return {
    $validator: pe(e),
    $message: (t) => `The value must be equal to the ${r} value`,
    $params: {
      equalTo: e,
      otherName: r,
      type: "sameAs"
    }
  };
}
const ye = /^(?:(?:(?:https?|ftp):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z0-9\u00a1-\uffff][a-z0-9\u00a1-\uffff_-]{0,62})?[a-z0-9\u00a1-\uffff]\.)+(?:[a-z\u00a1-\uffff]{2,}\.?))(?::\d{2,5})?(?:[/?#]\S*)?$/i;
var we = l(ye), ve = {
  $validator: we,
  $message: "The value is not a valid URL address",
  $params: {
    type: "url"
  }
};
function be(e) {
  return function() {
    for (var r = arguments.length, t = new Array(r), n = 0; n < r; n++)
      t[n] = arguments[n];
    return e.reduce((a, s) => m(a) ? a : g(s).apply(this, t), !1);
  };
}
function xe(e) {
  return function() {
    for (var r = arguments.length, t = new Array(r), n = 0; n < r; n++)
      t[n] = arguments[n];
    return e.reduce(async (a, s) => {
      const i = await a;
      return m(i) ? i : g(s).apply(this, t);
    }, Promise.resolve(!1));
  };
}
function Ae() {
  for (var e = arguments.length, r = new Array(e), t = 0; t < e; t++)
    r[t] = arguments[t];
  const n = r.some((i) => i.$async), a = r.reduce((i, d) => d.$watchTargets ? i.concat(d.$watchTargets) : i, []);
  let s = () => !1;
  return r.length && (s = n ? xe(r) : be(r)), {
    $async: n,
    $validator: s,
    $watchTargets: a
  };
}
function Oe() {
  return z({
    type: "or"
  }, w("The value does not match any of the provided validators", Ae(...arguments)));
}
function je(e) {
  return function() {
    for (var r = arguments.length, t = new Array(r), n = 0; n < r; n++)
      t[n] = arguments[n];
    return e.reduce((a, s) => m(a) ? g(s).apply(this, t) : a, !0);
  };
}
function Pe(e) {
  return function() {
    for (var r = arguments.length, t = new Array(r), n = 0; n < r; n++)
      t[n] = arguments[n];
    return e.reduce(async (a, s) => {
      const i = await a;
      return m(i) ? g(s).apply(this, t) : i;
    }, Promise.resolve(!0));
  };
}
function Te() {
  for (var e = arguments.length, r = new Array(e), t = 0; t < e; t++)
    r[t] = arguments[t];
  const n = r.some((i) => i.$async), a = r.reduce((i, d) => d.$watchTargets ? i.concat(d.$watchTargets) : i, []);
  let s = () => !1;
  return r.length && (s = n ? Pe(r) : je(r)), {
    $async: n,
    $validator: s,
    $watchTargets: a
  };
}
function Ve() {
  return z({
    type: "and"
  }, w("The value does not match all of the provided validators", Te(...arguments)));
}
function ze(e) {
  return function(r, t) {
    if (!o(r))
      return !0;
    const n = g(e).call(this, r, t);
    return U(n) ? n.then((a) => !m(a)) : !m(n);
  };
}
function qe(e) {
  return {
    $validator: ze(e),
    $message: "The value does not match the provided validator",
    $params: {
      type: "not"
    }
  };
}
function Se(e) {
  return (r) => !o(r) || (!/\s/.test(r) || r instanceof Date) && +r >= +u(e);
}
function Ee(e) {
  return {
    $validator: Se(e),
    $message: (r) => {
      let {
        $params: t
      } = r;
      return `The minimum value allowed is ${t.min}`;
    },
    $params: {
      min: e,
      type: "minValue"
    }
  };
}
function Me(e) {
  return (r) => !o(r) || (!/\s/.test(r) || r instanceof Date) && +r <= +u(e);
}
var Ne = (e) => ({
  $validator: Me(e),
  $message: (r) => {
    let {
      $params: t
    } = r;
    return `The maximum value allowed is ${t.max}`;
  },
  $params: {
    max: e,
    type: "maxValue"
  }
}), De = l(/(^[0-9]*$)|(^-[0-9]+$)/), Le = {
  $validator: De,
  $message: "Value is not an integer",
  $params: {
    type: "integer"
  }
}, Re = l(/^[-]?\d*(\.\d+)?$/), Ie = {
  $validator: Re,
  $message: "Value must be decimal",
  $params: {
    type: "decimal"
  }
};
function Ue(e) {
  let {
    t: r,
    messagePath: t = (a) => {
      let {
        $validator: s
      } = a;
      return `validations.${s}`;
    },
    messageParams: n = (a) => a
  } = e;
  return function(s) {
    let {
      withArguments: i = !1,
      messagePath: d = t,
      messageParams: h = n
    } = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    function $(c) {
      return r(d(c), h(p({
        model: c.$model,
        property: c.$property,
        pending: c.$pending,
        invalid: c.$invalid,
        response: c.$response,
        validator: c.$validator,
        propertyPath: c.$propertyPath
      }, c.$params)));
    }
    return i && typeof s == "function" ? function() {
      return w($, s(...arguments));
    } : w($, s);
  };
}
const Fe = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  alpha: B,
  alphaNum: H,
  and: Ve,
  between: X,
  createI18nMessage: Ue,
  decimal: Ie,
  email: k,
  helpers: F,
  integer: Le,
  ipAddress: te,
  macAddress: se,
  maxLength: ue,
  maxValue: Ne,
  minLength: ce,
  minValue: Ee,
  not: qe,
  numeric: Q,
  or: Oe,
  required: fe,
  requiredIf: me,
  requiredUnless: ge,
  sameAs: he,
  url: ve
}, Symbol.toStringTag, { value: "Module" }));
export {
  B as a,
  H as b,
  F as c,
  X as d,
  Ie as e,
  k as f,
  te as g,
  ue as h,
  Le as i,
  Ne as j,
  ce as k,
  Ee as l,
  se as m,
  Q as n,
  me as o,
  ge as p,
  fe as r,
  he as s,
  ve as u,
  Fe as v
};
