declare const _default: {
  "loading": "Loading. Please wait...",
  "connected": "Connected",
  "disconnected": "Disconnected",
  "new": "New",
  "save": "Save",
  "delete": "Delete",
  "cancel": "Cancel",
  "newest": "Newest",
  "oldest": "Oldest",
  "drag_drop_files_to_upload": "Drag and drop files to here to upload.",
  "sort_by_arg": "Sort By {arg}",
  "required_fields_label": "* Selected items are required",
  "success": "Success",
  "failed": "Failed",
  "save_successful": "{entity} {description} Saved successfully",
  "save_failed": "Failed to save {entity}. Reason: {reason}",
  "delete_successful": "{entity} {description} Deleted successfully",
  "delete_failed": "Failed to delete {entity} {description}: Reason: ${reason}",
  "upload_successful": "Uploaded {filename} ({size} kb) to {entity} {description} successfully",
  "confirm_header": "Confirmation",
  "confirm_delete_message": "Are you sure you want to delete {entity} {description}?",
  "confirm_delete_selected_message": "Are you sure you want to delete the {count} selected {entity}?",
  "copy_to_clipboard": "Copy {text} to clipboard",
  "copy_to_clipboard_success": "Copied {value} to clipboard",
  "copy_to_clipboard_failed": "Failed to copy to clipboard",
  "empty_search_message": "No results found",
  "paginator_showing": "Showing",
  "paginator_to": "to",
  "paginator_of": "of",
  "search_by": "Search by {msg}",
  "keyword_search": "Search",
  "no_records_found": "No records found.",
  "clear_filters": "Clear Filters",
  "clear_global_filter": "Clear Global Filter",
  "select_columns": "Select Columns",
  "columns_selected": "Columns Selected",
  "export": "Export",
  "selection_message": "{items} items selected",
  "empty_selection_message": "No selected item"
}
;

export default _default;
