declare const _default: {
  "startsWith": "Начинается с",
  "contains": "Содержит",
  "notContains": "Не содержит",
  "endsWith": "Заканчивается на",
  "equals": "Равно",
  "notEquals": "Не равно",
  "noFilter": "Без фильтра",
  "lt": "Меньше чем",
  "lte": "Меньше или равно",
  "gt": "Больше чем",
  "gte": "Больше или равно",
  "dateIs": "Дата",
  "dateIsNot": "Дата нет",
  "dateBefore": "Дата раньше",
  "dateAfter": "Дата будет позже",
  "clear": "Очистить",
  "apply": "Применить",
  "matchAll": "Сопоставить все",
  "matchAny": "Сопоставить любой",
  "addRule": "Добавить правило",
  "removeRule": "Удалить правило",
  "accept": "Да",
  "reject": "Нет",
  "choose": "Выбрать",
  "upload": "Загрузить",
  "cancel": "Отмена",
  "completed": "Завершенный",
  "pending": "В ожидании",
  "fileSizeTypes": [],
  "dayNames": ["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"],
  "dayNamesShort": ["Солнце", "Пн", "Вт", "Обвенчались", "Чт", "Пт", "Сидел"],
  "dayNamesMin": ["Су", "МО", "Ту", "Мы", "Ч", "Пт", "Са"],
  "monthNames": [
    "Январь",
    "Февраль",
    "Маршировать",
    "Апрель",
    "Может",
    "Июнь",
    "Июль",
    "Август",
    "Сентябрь",
    "Октябрь",
    "Ноябрь",
    "Декабрь"
  ],
  "monthNamesShort": [
    "Ян",
    "Февраль",
    "Мар",
    "Апрель",
    "Может",
    "Джун",
    "Июль",
    "Август",
    "Сентябрь",
    "Октябрь",
    "Ноябрь",
    "Декабрь"
  ],
  "chooseYear": "Выберите год",
  "chooseMonth": "Выберите месяц",
  "chooseDate": "Выберите дату",
  "prevDecade": "Предыдущее десятилетие",
  "nextDecade": "Следующее десятилетие",
  "prevYear": "Предыдущий год",
  "nextYear": "В следующем году",
  "prevMonth": "Предыдущий месяц",
  "nextMonth": "В следующем месяце",
  "prevHour": "Предыдущий час",
  "nextHour": "Следующий час",
  "prevMinute": "Предыдущая минута",
  "nextMinute": "Следующая минута",
  "prevSecond": "Предыдущая секунда",
  "nextSecond": "Следующая секунда",
  "am": "есть",
  "pm": "после полудня",
  "today": "Сегодня",
  "weekHeader": "Неделя",
  "firstDayOfWeek": 0,
  "dateFormat": "мм/дд/гг",
  "weak": "Слабый",
  "medium": "Средний",
  "strong": "Сильный",
  "passwordPrompt": "Введите пароль",
  "emptyFilterMessage": "Результатов не найдено",
  "searchMessage": "Результатов доступно {0}",
  "selectionMessage": "Выбрано {0} элементов",
  "emptySelectionMessage": "Не выбран элемент",
  "emptySearchMessage": "Результатов не найдено",
  "emptyMessage": "Нет доступных опций",
  "aria": {
    "trueLabel": "Истина",
    "falseLabel": "Ложь",
    "nullLabel": "Не выбрано",
    "star": "1 звезда",
    "stars": "Звезды {star}",
    "selectAll": "Выбраны все элементы",
    "unselectAll": "Все элементы не выбраны",
    "close": "Закрыть",
    "previous": "Предыдущий",
    "next": "Далее",
    "navigaion": "Навигация",
    "scrollTop": "Прокрутка вверху",
    "moveTop": "Переместить вверх",
    "moveUp": "Переместить вверх",
    "moveDown": "Переместить вниз",
    "moveBottom": "Переместить вниз",
    "moveToTarget": "Перейти к цели",
    "moveToSource": "Переместить в исходный код",
    "moveAllToTarget": "Переместить все в цель",
    "moveAllToSource": "Переместить все в исходный код",
    "pageLabel": "{page}",
    "firstPageLabel": "Первая страница",
    "lastPageLabel": "Последняя страница",
    "nextPageLabel": "Следующая страница",
    "prevPageLabel": "Предыдущая страница",
    "rowsPerPageLabel": "Строк на странице",
    "jumpToPageDropdownLabel": "Перейти к раскрывающемуся списку страниц",
    "jumpToPageInputLabel": "Перейти к вводу страницы",
    "selectRow": "Выбранная строка",
    "unselectRow": "Строка не выбрана",
    "expandRow": "Строка расширена",
    "collapseRow": "Строка свернута",
    "showFilterMenu": "Показать меню фильтров",
    "hideFilterMenu": "Скрыть меню фильтров",
    "filterOperator": "Оператор фильтра",
    "filterConstraint": "Ограничение фильтра",
    "editRow": "Редактировать строку",
    "saveEdit": "Сохранить редактирование",
    "cancelEdit": "Отменить редактирование",
    "listView": "Просмотр списка",
    "gridView": "Вид в виде сетки",
    "slide": "Слайд",
    "slideNumber": "{slideNumber}",
    "zoomImage": "Увеличить изображение",
    "zoomIn": "Увеличить",
    "zoomOut": "Уменьшить",
    "rotateRight": "Повернуть вправо",
    "rotateLeft": "Повернуть влево"
  }
}
;

export default _default;
